#pragma once

#include "CoreMinimal.h"
#include "ChallengeObjectiveProgressionViewData.generated.h"

USTRUCT(BlueprintType)
struct FChallengeObjectiveProgressionViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ObjectiveId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ObjectiveInfo;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 PreviousProgress;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Progress;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Objective;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsCommunityObjective;

public:
	DBDUIVIEWINTERFACES_API FChallengeObjectiveProgressionViewData();
};

FORCEINLINE uint32 GetTypeHash(const FChallengeObjectiveProgressionViewData) { return 0; }
